Back to top

API Documentation

< Back

Kuali Research REST APIs - Export Control

Research Export Control

Excon Intl Shipment Documents

Get Excon Intl Shipment Documents by Key
GET/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Intl Shipment Documents
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Intl Shipment Documents with Filtering
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
documentNumber
string (optional) 

The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Intl Shipment Documents
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "documentNumber"
  ],
  "primaryKey": "documentNumber"
}

Get Blueprint API specification for Excon Intl Shipment Documents
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipment Documents.md"
transfer-encoding: chunked

Update Excon Intl Shipment Documents
PUT/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

PUT /excon/api/v1/excon-intl-shipment-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Intl Shipment Documents
PUT/excon/api/v1/excon-intl-shipment-documents/

Example URI

PUT /excon/api/v1/excon-intl-shipment-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Intl Shipment Documents
PATCH/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

PATCH /excon/api/v1/excon-intl-shipment-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Intl Shipment Documents
POST/excon/api/v1/excon-intl-shipment-documents/

Example URI

POST /excon/api/v1/excon-intl-shipment-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Intl Shipment Documents
POST/excon/api/v1/excon-intl-shipment-documents/

Example URI

POST /excon/api/v1/excon-intl-shipment-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Intl Shipment Documents by Key
DELETE/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

DELETE /excon/api/v1/excon-intl-shipment-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Intl Shipment Documents
DELETE/excon/api/v1/excon-intl-shipment-documents/

Example URI

DELETE /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Intl Shipment Documents with Matching
DELETE/excon/api/v1/excon-intl-shipment-documents/

Example URI

DELETE /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

documentNumber
string (optional) 

The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Intl Shipments

Get Excon Intl Shipments by Key
GET/excon/api/v1/excon-intl-shipments/(key)

Example URI

GET /excon/api/v1/excon-intl-shipments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "shipmentId": "(val)",
  "restrictedExport": "(val)",
  "shipmentDescription": "(val)",
  "restrictedCountry": "(val)",
  "countryCode": "(val)",
  "sanctionListCode": "(val)",
  "restrictedParty": "(val)",
  "receivingParty": "(val)",
  "rpsResultContent": "(val)",
  "certificationInd": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitNumber": "(val)",
  "unitName": "(val)",
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Intl Shipments
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Intl Shipments with Filtering
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
shipmentId
string (optional) 

Shipment ID. Maximum length is 22.

restrictedExport
string (optional) 

Restricted Export. Maximum length is 1.

shipmentDescription
string (optional) 

Shipment Description. Maximum length is 200.

restrictedCountry
string (optional) 

Restricted Country. Maximum length is 1.

countryCode
string (optional) 

Country Code. Maximum length is 3.

sanctionListCode
string (optional) 

Sanction List. Maximum length is 4.

restrictedParty
string (optional) 

Restricted Party. Maximum length is 1.

receivingParty
string (optional) 

Receiving Party. Maximum length is 200.

rpsResultContent
string (optional) 
certificationInd
string (optional) 

Shipment Certification. Maximum length is 1.

applicantId
string (optional) 

Person ID. Maximum length is 40.

applicantName
string (optional) 

Applicant Name. Maximum length is 200.

supervisorId
string (optional) 

Person ID. Maximum length is 40.

supervisorName
string (optional) 

Supervisor Name. Maximum length is 200.

unitNumber
string (optional) 

The lead unit number for the ExconProject. Maximum length is 8.

unitName
string (optional) 

Unit Name. Maximum length is 200.

exconIntlShipmentDocument.documentNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Intl Shipments
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "shipmentId",
    "restrictedExport",
    "shipmentDescription",
    "restrictedCountry",
    "countryCode",
    "sanctionListCode",
    "restrictedParty",
    "receivingParty",
    "rpsResultContent",
    "certificationInd",
    "applicantId",
    "applicantName",
    "supervisorId",
    "supervisorName",
    "unitNumber",
    "unitName",
    "exconIntlShipmentDocument.documentNumber"
  ],
  "primaryKey": "shipmentId"
}

Get Blueprint API specification for Excon Intl Shipments
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipments.md"
transfer-encoding: chunked

Update Excon Intl Shipments
PUT/excon/api/v1/excon-intl-shipments/(key)

Example URI

PUT /excon/api/v1/excon-intl-shipments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "shipmentId": "(val)",
  "restrictedExport": "(val)",
  "shipmentDescription": "(val)",
  "restrictedCountry": "(val)",
  "countryCode": "(val)",
  "sanctionListCode": "(val)",
  "restrictedParty": "(val)",
  "receivingParty": "(val)",
  "rpsResultContent": "(val)",
  "certificationInd": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitNumber": "(val)",
  "unitName": "(val)",
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Intl Shipments
PUT/excon/api/v1/excon-intl-shipments/

Example URI

PUT /excon/api/v1/excon-intl-shipments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Intl Shipments
PATCH/excon/api/v1/excon-intl-shipments/(key)

Example URI

PATCH /excon/api/v1/excon-intl-shipments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "shipmentId": "(val)",
  "restrictedExport": "(val)",
  "shipmentDescription": "(val)",
  "restrictedCountry": "(val)",
  "countryCode": "(val)",
  "sanctionListCode": "(val)",
  "restrictedParty": "(val)",
  "receivingParty": "(val)",
  "rpsResultContent": "(val)",
  "certificationInd": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitNumber": "(val)",
  "unitName": "(val)",
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "shipmentId": "(val)",
  "restrictedExport": "(val)",
  "shipmentDescription": "(val)",
  "restrictedCountry": "(val)",
  "countryCode": "(val)",
  "sanctionListCode": "(val)",
  "restrictedParty": "(val)",
  "receivingParty": "(val)",
  "rpsResultContent": "(val)",
  "certificationInd": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitNumber": "(val)",
  "unitName": "(val)",
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Intl Shipments
POST/excon/api/v1/excon-intl-shipments/

Example URI

POST /excon/api/v1/excon-intl-shipments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "shipmentId": "(val)",
  "restrictedExport": "(val)",
  "shipmentDescription": "(val)",
  "restrictedCountry": "(val)",
  "countryCode": "(val)",
  "sanctionListCode": "(val)",
  "restrictedParty": "(val)",
  "receivingParty": "(val)",
  "rpsResultContent": "(val)",
  "certificationInd": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitNumber": "(val)",
  "unitName": "(val)",
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "shipmentId": "(val)",
  "restrictedExport": "(val)",
  "shipmentDescription": "(val)",
  "restrictedCountry": "(val)",
  "countryCode": "(val)",
  "sanctionListCode": "(val)",
  "restrictedParty": "(val)",
  "receivingParty": "(val)",
  "rpsResultContent": "(val)",
  "certificationInd": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitNumber": "(val)",
  "unitName": "(val)",
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Intl Shipments
POST/excon/api/v1/excon-intl-shipments/

Example URI

POST /excon/api/v1/excon-intl-shipments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "shipmentId": "(val)",
    "restrictedExport": "(val)",
    "shipmentDescription": "(val)",
    "restrictedCountry": "(val)",
    "countryCode": "(val)",
    "sanctionListCode": "(val)",
    "restrictedParty": "(val)",
    "receivingParty": "(val)",
    "rpsResultContent": "(val)",
    "certificationInd": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitNumber": "(val)",
    "unitName": "(val)",
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Intl Shipments by Key
DELETE/excon/api/v1/excon-intl-shipments/(key)

Example URI

DELETE /excon/api/v1/excon-intl-shipments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Intl Shipments
DELETE/excon/api/v1/excon-intl-shipments/

Example URI

DELETE /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Intl Shipments with Matching
DELETE/excon/api/v1/excon-intl-shipments/

Example URI

DELETE /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

shipmentId
string (optional) 

Shipment ID. Maximum length is 22.

restrictedExport
string (optional) 

Restricted Export. Maximum length is 1.

shipmentDescription
string (optional) 

Shipment Description. Maximum length is 200.

restrictedCountry
string (optional) 

Restricted Country. Maximum length is 1.

countryCode
string (optional) 

Country Code. Maximum length is 3.

sanctionListCode
string (optional) 

Sanction List. Maximum length is 4.

restrictedParty
string (optional) 

Restricted Party. Maximum length is 1.

receivingParty
string (optional) 

Receiving Party. Maximum length is 200.

rpsResultContent
string (optional) 
certificationInd
string (optional) 

Shipment Certification. Maximum length is 1.

applicantId
string (optional) 

Person ID. Maximum length is 40.

applicantName
string (optional) 

Applicant Name. Maximum length is 200.

supervisorId
string (optional) 

Person ID. Maximum length is 40.

supervisorName
string (optional) 

Supervisor Name. Maximum length is 200.

unitNumber
string (optional) 

The lead unit number for the ExconProject. Maximum length is 8.

unitName
string (optional) 

Unit Name. Maximum length is 200.

exconIntlShipmentDocument.documentNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Associated Document Types

Get Excon Project Associated Document Types by Key
GET/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

GET /excon/api/v1/excon-project-associated-document-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeClassName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Associated Document Types
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Associated Document Types with Filtering
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
assocDocTypeCode
string (optional) 

Document Type Code. Maximum length is 8.

assocDocTypeName
string (optional) 

Document Type Name. Maximum length is 40.

assocDocTypeClassName
string (optional) 

Document Class Name. Maximum length is 100.

assocDocTypeNumberAttr
string (optional) 

Document Type Id Attribute. Maximum length is 40.

returnsVals
string (optional) 

Return Values. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Associated Document Types
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "assocDocTypeCode",
    "assocDocTypeName",
    "assocDocTypeClassName",
    "assocDocTypeNumberAttr",
    "returnsVals"
  ],
  "primaryKey": "assocDocTypeCode"
}

Get Blueprint API specification for Excon Project Associated Document Types
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Document Types.md"
transfer-encoding: chunked

Update Excon Project Associated Document Types
PUT/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

PUT /excon/api/v1/excon-project-associated-document-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeClassName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Associated Document Types
PUT/excon/api/v1/excon-project-associated-document-types/

Example URI

PUT /excon/api/v1/excon-project-associated-document-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Associated Document Types
PATCH/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-associated-document-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeClassName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeClassName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Associated Document Types
POST/excon/api/v1/excon-project-associated-document-types/

Example URI

POST /excon/api/v1/excon-project-associated-document-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeClassName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeClassName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Associated Document Types
POST/excon/api/v1/excon-project-associated-document-types/

Example URI

POST /excon/api/v1/excon-project-associated-document-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeClassName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Associated Document Types by Key
DELETE/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-associated-document-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Associated Document Types
DELETE/excon/api/v1/excon-project-associated-document-types/

Example URI

DELETE /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Associated Document Types with Matching
DELETE/excon/api/v1/excon-project-associated-document-types/

Example URI

DELETE /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

assocDocTypeCode
string (optional) 

Document Type Code. Maximum length is 8.

assocDocTypeName
string (optional) 

Document Type Name. Maximum length is 40.

assocDocTypeClassName
string (optional) 

Document Class Name. Maximum length is 100.

assocDocTypeNumberAttr
string (optional) 

Document Type Id Attribute. Maximum length is 40.

returnsVals
string (optional) 

Return Values. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Associated Documents

Get Excon Project Associated Documents by Key
GET/excon/api/v1/excon-project-associated-documents/(key)

Example URI

GET /excon/api/v1/excon-project-associated-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectAssocDocId": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Associated Documents
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Associated Documents with Filtering
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
projectAssocDocId
string (optional) 

Export Control Associated Document ID. Maximum length is 22.

assocDocTypeCode
string (optional) 

Associated Document Type Code. Maximum length is 8.

assocDocNumber
string (optional) 

Associated Document Identifier. Maximum length is 12.

assocDocTitle
string (optional) 

Associated Document Title. Maximum length is 200.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Associated Documents
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectAssocDocId",
    "assocDocTypeCode",
    "assocDocNumber",
    "assocDocTitle",
    "projectNumber",
    "sequenceNumber",
    "exconProject.projectId"
  ],
  "primaryKey": "projectAssocDocId"
}

Get Blueprint API specification for Excon Project Associated Documents
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Documents.md"
transfer-encoding: chunked

Update Excon Project Associated Documents
PUT/excon/api/v1/excon-project-associated-documents/(key)

Example URI

PUT /excon/api/v1/excon-project-associated-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAssocDocId": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Associated Documents
PUT/excon/api/v1/excon-project-associated-documents/

Example URI

PUT /excon/api/v1/excon-project-associated-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Associated Documents
PATCH/excon/api/v1/excon-project-associated-documents/(key)

Example URI

PATCH /excon/api/v1/excon-project-associated-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAssocDocId": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectAssocDocId": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Associated Documents
POST/excon/api/v1/excon-project-associated-documents/

Example URI

POST /excon/api/v1/excon-project-associated-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAssocDocId": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectAssocDocId": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Associated Documents
POST/excon/api/v1/excon-project-associated-documents/

Example URI

POST /excon/api/v1/excon-project-associated-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAssocDocId": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Associated Documents by Key
DELETE/excon/api/v1/excon-project-associated-documents/(key)

Example URI

DELETE /excon/api/v1/excon-project-associated-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Associated Documents
DELETE/excon/api/v1/excon-project-associated-documents/

Example URI

DELETE /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Associated Documents with Matching
DELETE/excon/api/v1/excon-project-associated-documents/

Example URI

DELETE /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

projectAssocDocId
string (optional) 

Export Control Associated Document ID. Maximum length is 22.

assocDocTypeCode
string (optional) 

Associated Document Type Code. Maximum length is 8.

assocDocNumber
string (optional) 

Associated Document Identifier. Maximum length is 12.

assocDocTitle
string (optional) 

Associated Document Title. Maximum length is 200.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Attachment Types

Get Excon Project Attachment Types by Key
GET/excon/api/v1/excon-project-attachment-types/(key)

Example URI

GET /excon/api/v1/excon-project-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectAttachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Attachment Types
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Attachment Types with Filtering
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
projectAttachmentTypeCode
string (optional) 

Export Control Project Attachment Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Attachment Types
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectAttachmentTypeCode",
    "description"
  ],
  "primaryKey": "projectAttachmentTypeCode"
}

Get Blueprint API specification for Excon Project Attachment Types
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachment Types.md"
transfer-encoding: chunked

Update Excon Project Attachment Types
PUT/excon/api/v1/excon-project-attachment-types/(key)

Example URI

PUT /excon/api/v1/excon-project-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAttachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Attachment Types
PUT/excon/api/v1/excon-project-attachment-types/

Example URI

PUT /excon/api/v1/excon-project-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Attachment Types
PATCH/excon/api/v1/excon-project-attachment-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAttachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectAttachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Attachment Types
POST/excon/api/v1/excon-project-attachment-types/

Example URI

POST /excon/api/v1/excon-project-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAttachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectAttachmentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Attachment Types
POST/excon/api/v1/excon-project-attachment-types/

Example URI

POST /excon/api/v1/excon-project-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Attachment Types by Key
DELETE/excon/api/v1/excon-project-attachment-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Attachment Types
DELETE/excon/api/v1/excon-project-attachment-types/

Example URI

DELETE /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Attachment Types with Matching
DELETE/excon/api/v1/excon-project-attachment-types/

Example URI

DELETE /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

projectAttachmentTypeCode
string (optional) 

Export Control Project Attachment Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Attachments

Get Excon Project Attachments by Key
GET/excon/api/v1/excon-project-attachments/(key)

Example URI

GET /excon/api/v1/excon-project-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "attachUser": "(val)",
  "attachDate": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Attachments
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Attachments with Filtering
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
projectAttachmentId
string (optional) 

Export Control Attachment ID. Maximum length is 22.

projectId
string (optional) 
projectNumber
string (optional) 
sequenceNumber
string (optional) 
typeCode
string (optional) 

Type Code. Maximum length is 3.

documentId
string (optional) 

Document ID. Maximum length is 4.

fileId
string (optional) 

File Id. Maximum length is 22.

description
string (optional) 

Description.

attachUser
string (optional) 
attachDate
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Attachments
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectAttachmentId",
    "projectId",
    "projectNumber",
    "sequenceNumber",
    "typeCode",
    "documentId",
    "fileId",
    "description",
    "attachUser",
    "attachDate"
  ],
  "primaryKey": "projectAttachmentId"
}

Get Blueprint API specification for Excon Project Attachments
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachments.md"
transfer-encoding: chunked

Update Excon Project Attachments
PUT/excon/api/v1/excon-project-attachments/(key)

Example URI

PUT /excon/api/v1/excon-project-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "attachUser": "(val)",
  "attachDate": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Attachments
PUT/excon/api/v1/excon-project-attachments/

Example URI

PUT /excon/api/v1/excon-project-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Attachments
PATCH/excon/api/v1/excon-project-attachments/(key)

Example URI

PATCH /excon/api/v1/excon-project-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "attachUser": "(val)",
  "attachDate": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "attachUser": "(val)",
  "attachDate": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Attachments
POST/excon/api/v1/excon-project-attachments/

Example URI

POST /excon/api/v1/excon-project-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "attachUser": "(val)",
  "attachDate": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "attachUser": "(val)",
  "attachDate": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Attachments
POST/excon/api/v1/excon-project-attachments/

Example URI

POST /excon/api/v1/excon-project-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "attachUser": "(val)",
    "attachDate": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Attachments by Key
DELETE/excon/api/v1/excon-project-attachments/(key)

Example URI

DELETE /excon/api/v1/excon-project-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Attachments
DELETE/excon/api/v1/excon-project-attachments/

Example URI

DELETE /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Attachments with Matching
DELETE/excon/api/v1/excon-project-attachments/

Example URI

DELETE /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

projectAttachmentId
string (optional) 

Export Control Attachment ID. Maximum length is 22.

projectId
string (optional) 
projectNumber
string (optional) 
sequenceNumber
string (optional) 
typeCode
string (optional) 

Type Code. Maximum length is 3.

documentId
string (optional) 

Document ID. Maximum length is 4.

fileId
string (optional) 

File Id. Maximum length is 22.

description
string (optional) 

Description.

attachUser
string (optional) 
attachDate
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Comment Types

Get Excon Project Comment Types by Key
GET/excon/api/v1/excon-project-comment-types/(key)

Example URI

GET /excon/api/v1/excon-project-comment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectCommentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Comment Types
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Comment Types with Filtering
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
projectCommentTypeCode
string (optional) 

Export Control Project Comment Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Comment Types
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectCommentTypeCode",
    "description"
  ],
  "primaryKey": "projectCommentTypeCode"
}

Get Blueprint API specification for Excon Project Comment Types
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comment Types.md"
transfer-encoding: chunked

Update Excon Project Comment Types
PUT/excon/api/v1/excon-project-comment-types/(key)

Example URI

PUT /excon/api/v1/excon-project-comment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCommentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Comment Types
PUT/excon/api/v1/excon-project-comment-types/

Example URI

PUT /excon/api/v1/excon-project-comment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Comment Types
PATCH/excon/api/v1/excon-project-comment-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-comment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCommentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectCommentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Comment Types
POST/excon/api/v1/excon-project-comment-types/

Example URI

POST /excon/api/v1/excon-project-comment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCommentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectCommentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Comment Types
POST/excon/api/v1/excon-project-comment-types/

Example URI

POST /excon/api/v1/excon-project-comment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Comment Types by Key
DELETE/excon/api/v1/excon-project-comment-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-comment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Comment Types
DELETE/excon/api/v1/excon-project-comment-types/

Example URI

DELETE /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Comment Types with Matching
DELETE/excon/api/v1/excon-project-comment-types/

Example URI

DELETE /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

projectCommentTypeCode
string (optional) 

Export Control Project Comment Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Comments

Get Excon Project Comments by Key
GET/excon/api/v1/excon-project-comments/(key)

Example URI

GET /excon/api/v1/excon-project-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Comments
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Comments with Filtering
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
projectCommentId
string (optional) 

Export Control Comment Project ID. Maximum length is 22.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 3.

comments
string (optional) 

Comments.

commentAuthor
string (optional) 

The user who created or last modified the object. Maximum length is 60.

commentDate
string (optional) 

The creation or last modification timestamp. Maximum length is 21.

exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Comments
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectCommentId",
    "projectNumber",
    "sequenceNumber",
    "commentTypeCode",
    "comments",
    "commentAuthor",
    "commentDate",
    "exconProject.projectId"
  ],
  "primaryKey": "projectCommentId"
}

Get Blueprint API specification for Excon Project Comments
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comments.md"
transfer-encoding: chunked

Update Excon Project Comments
PUT/excon/api/v1/excon-project-comments/(key)

Example URI

PUT /excon/api/v1/excon-project-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Comments
PUT/excon/api/v1/excon-project-comments/

Example URI

PUT /excon/api/v1/excon-project-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Comments
PATCH/excon/api/v1/excon-project-comments/(key)

Example URI

PATCH /excon/api/v1/excon-project-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Comments
POST/excon/api/v1/excon-project-comments/

Example URI

POST /excon/api/v1/excon-project-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Comments
POST/excon/api/v1/excon-project-comments/

Example URI

POST /excon/api/v1/excon-project-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Comments by Key
DELETE/excon/api/v1/excon-project-comments/(key)

Example URI

DELETE /excon/api/v1/excon-project-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Comments
DELETE/excon/api/v1/excon-project-comments/

Example URI

DELETE /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Comments with Matching
DELETE/excon/api/v1/excon-project-comments/

Example URI

DELETE /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

projectCommentId
string (optional) 

Export Control Comment Project ID. Maximum length is 22.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 3.

comments
string (optional) 

Comments.

commentAuthor
string (optional) 

The user who created or last modified the object. Maximum length is 60.

commentDate
string (optional) 

The creation or last modification timestamp. Maximum length is 21.

exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Content Types

Get Excon Project Content Types by Key
GET/excon/api/v1/excon-project-content-types/(key)

Example URI

GET /excon/api/v1/excon-project-content-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Content Types
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Content Types with Filtering
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
contentTypeCode
string (optional) 

Export Control Project Content Type Code. Maximum length is 5.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Content Types
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "contentTypeCode",
    "description"
  ],
  "primaryKey": "contentTypeCode"
}

Get Blueprint API specification for Excon Project Content Types
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Content Types.md"
transfer-encoding: chunked

Update Excon Project Content Types
PUT/excon/api/v1/excon-project-content-types/(key)

Example URI

PUT /excon/api/v1/excon-project-content-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Content Types
PUT/excon/api/v1/excon-project-content-types/

Example URI

PUT /excon/api/v1/excon-project-content-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Content Types
PATCH/excon/api/v1/excon-project-content-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-content-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Content Types
POST/excon/api/v1/excon-project-content-types/

Example URI

POST /excon/api/v1/excon-project-content-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Content Types
POST/excon/api/v1/excon-project-content-types/

Example URI

POST /excon/api/v1/excon-project-content-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Content Types by Key
DELETE/excon/api/v1/excon-project-content-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-content-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Content Types
DELETE/excon/api/v1/excon-project-content-types/

Example URI

DELETE /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Content Types with Matching
DELETE/excon/api/v1/excon-project-content-types/

Example URI

DELETE /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

contentTypeCode
string (optional) 

Export Control Project Content Type Code. Maximum length is 5.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Custom Data

Get Excon Project Custom Data by Key
GET/excon/api/v1/excon-project-custom-data/(key)

Example URI

GET /excon/api/v1/excon-project-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectCustomDataId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Custom Data
GET/excon/api/v1/excon-project-custom-data/

Example URI

GET /excon/api/v1/excon-project-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Custom Data with Filtering
GET/excon/api/v1/excon-project-custom-data/

Example URI

GET /excon/api/v1/excon-project-custom-data/
URI Parameters
HideShow
projectCustomDataId
string (optional) 
projectNumber
string (optional) 
sequenceNumber
string (optional) 
customAttributeId
string (optional) 
value
string (optional) 

Value. Maximum length is 2000.

exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Custom Data
GET/excon/api/v1/excon-project-custom-data/

Example URI

GET /excon/api/v1/excon-project-custom-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectCustomDataId",
    "projectNumber",
    "sequenceNumber",
    "customAttributeId",
    "value",
    "exconProject.projectId"
  ],
  "primaryKey": "projectCustomDataId"
}

Get Blueprint API specification for Excon Project Custom Data
GET/excon/api/v1/excon-project-custom-data/

Example URI

GET /excon/api/v1/excon-project-custom-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Custom Data.md"
transfer-encoding: chunked

Update Excon Project Custom Data
PUT/excon/api/v1/excon-project-custom-data/(key)

Example URI

PUT /excon/api/v1/excon-project-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCustomDataId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Custom Data
PUT/excon/api/v1/excon-project-custom-data/

Example URI

PUT /excon/api/v1/excon-project-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Custom Data
PATCH/excon/api/v1/excon-project-custom-data/(key)

Example URI

PATCH /excon/api/v1/excon-project-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCustomDataId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectCustomDataId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Custom Data
POST/excon/api/v1/excon-project-custom-data/

Example URI

POST /excon/api/v1/excon-project-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectCustomDataId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectCustomDataId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Custom Data
POST/excon/api/v1/excon-project-custom-data/

Example URI

POST /excon/api/v1/excon-project-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectCustomDataId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Custom Data by Key
DELETE/excon/api/v1/excon-project-custom-data/(key)

Example URI

DELETE /excon/api/v1/excon-project-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Custom Data
DELETE/excon/api/v1/excon-project-custom-data/

Example URI

DELETE /excon/api/v1/excon-project-custom-data/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Custom Data with Matching
DELETE/excon/api/v1/excon-project-custom-data/

Example URI

DELETE /excon/api/v1/excon-project-custom-data/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

projectCustomDataId
string (optional) 
projectNumber
string (optional) 
sequenceNumber
string (optional) 
customAttributeId
string (optional) 
value
string (optional) 

Value. Maximum length is 2000.

exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Excon Project Destinations

Get Excon Project Destinations by Key
GET/excon/api/v1/excon-project-destinations/(key)

Example URI

GET /excon/api/v1/excon-project-destinations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "projectDestId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "destinationCountryCode": "(val)",
  "arrivalDate": "(val)",
  "departureDate": "(val)",
  "destinationComment": "(val)",
  "sanctionList": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Destinations
GET/excon/api/v1/excon-project-destinations/

Example URI

GET /excon/api/v1/excon-project-destinations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Destinations with Filtering
GET/excon/api/v1/excon-project-destinations/

Example URI

GET /excon/api/v1/excon-project-destinations/
URI Parameters
HideShow
projectDestId
string (optional) 

Export Control Destination ID. Maximum length is 22.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
destinationCountryCode
string (optional) 

Destination Country. Maximum length is 3.

arrivalDate
string (optional) 

Destination Arrival Date. Maximum length is 21.

departureDate
string (optional) 

Destination Departure Date. Maximum length is 21.

destinationComment
string (optional) 

Destination Comment.

sanctionList
string (optional) 

Sanction List. Maximum length is 4.

exconProject.projectId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Destinations
GET/excon/api/v1/excon-project-destinations/

Example URI

GET /excon/api/v1/excon-project-destinations/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "projectDestId",
    "projectNumber",
    "sequenceNumber",
    "destinationCountryCode",
    "arrivalDate",
    "departureDate",
    "destinationComment",
    "sanctionList",
    "exconProject.projectId"
  ],
  "primaryKey": "projectDestId"
}

Get Blueprint API specification for Excon Project Destinations
GET/excon/api/v1/excon-project-destinations/

Example URI

GET /excon/api/v1/excon-project-destinations/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Destinations.md"
transfer-encoding: chunked

Update Excon Project Destinations
PUT/excon/api/v1/excon-project-destinations/(key)

Example URI

PUT /excon/api/v1/excon-project-destinations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectDestId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "destinationCountryCode": "(val)",
  "arrivalDate": "(val)",
  "departureDate": "(val)",
  "destinationComment": "(val)",
  "sanctionList": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Destinations
PUT/excon/api/v1/excon-project-destinations/

Example URI

PUT /excon/api/v1/excon-project-destinations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Destinations
PATCH/excon/api/v1/excon-project-destinations/(key)

Example URI

PATCH /excon/api/v1/excon-project-destinations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectDestId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "destinationCountryCode": "(val)",
  "arrivalDate": "(val)",
  "departureDate": "(val)",
  "destinationComment": "(val)",
  "sanctionList": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "projectDestId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "destinationCountryCode": "(val)",
  "arrivalDate": "(val)",
  "departureDate": "(val)",
  "destinationComment": "(val)",
  "sanctionList": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Destinations
POST/excon/api/v1/excon-project-destinations/

Example URI

POST /excon/api/v1/excon-project-destinations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "projectDestId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "destinationCountryCode": "(val)",
  "arrivalDate": "(val)",
  "departureDate": "(val)",
  "destinationComment": "(val)",
  "sanctionList": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "projectDestId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "destinationCountryCode": "(val)",
  "arrivalDate": "(val)",
  "departureDate": "(val)",
  "destinationComment": "(val)",
  "sanctionList": "(val)",
  "exconProject.projectId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Destinations
POST/excon/api/v1/excon-project-destinations/

Example URI

POST /excon/api/v1/excon-project-destinations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "projectDestId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "destinationCountryCode": "(val)",
    "arrivalDate": "(val)",
    "departureDate": "(val)",
    "destinationComment": "(val)",
    "sanctionList": "(val)",
    "exconProject.projectId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Destinations by Key
DELETE/excon/api/v1/excon-project-destinations/(key)

Example URI

DELETE /excon/api/v1/excon-project-destinations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Destinations
DELETE/excon/api/v1/excon-project-destinations/

Example URI

DELETE /excon/api/v1/excon-project-destinations/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Destinations with Matching
DELETE/excon/api/v1/excon-project-destinations/

[...]
